Public Member Functions | Protected Member Functions | Private Attributes | List of all members
WP5AttributeGroup Class Referenceabstract

`#include <WP5AttributeGroup.h>`

Inheritance diagram for WP5AttributeGroup:

## Public Member Functions
| WP5AttributeGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char groupID)
void | parse (WP5Listener *listener) override=0
unsigned char | getAttribute () const
Public Member Functions inherited from WP5FixedLengthGroup
| WP5FixedLengthGroup (const unsigned char groupID)
unsigned char | getGroup () const
Public Member Functions inherited from WP5Part
virtual | ~WP5Part ()

## Protected Member Functions
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
Protected Member Functions inherited from WP5FixedLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)

## Private Attributes
unsigned char | m_attribute

## Additional Inherited Members
Static Public Member Functions inherited from WP5FixedLengthGroup
static WP5FixedLengthGroup * | constructFixedLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
Static Public Member Functions inherited from WP5Part
static WP5Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)

## Constructor & Destructor Documentation

## ◆ WP5AttributeGroup()

WP5AttributeGroup::WP5AttributeGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned char | groupID
| ) |  |

## Member Function Documentation

## ◆ _readContents()

void WP5AttributeGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| override protected virtual

Implements WP5FixedLengthGroup.

## ◆ getAttribute()

unsigned char WP5AttributeGroup::getAttribute | ( |  | ) | const
| inline

Referenced by WP5AttributeOnGroup::parse(), and WP5AttributeOffGroup::parse().

## ◆ parse()

void WP5AttributeGroup::parse | ( | WP5Listener * | listener | ) |
| override pure virtual

Implements WP5Part.

Implemented in WP5AttributeOffGroup, and WP5AttributeOnGroup.

## Member Data Documentation

## ◆ m_attribute

unsigned char WP5AttributeGroup::m_attribute
| private

Referenced by _readContents(), and getAttribute().

The documentation for this class was generated from the following files:

- WP5AttributeGroup.h
- WP5AttributeGroup.cpp